## org.exist.xqj
Class XQResultSequence

    java.lang.Object
      org.exist.xqj.XQResultSequence

All Implemented Interfaces:
  javax.xml.xquery.XQItemAccessor, javax.xml.xquery.XQResultSequence, javax.xml.xquery.XQSequence

public class XQResultSequence
extends java.lang.Object
implements javax.xml.xquery.XQResultSequence

Author:
  Adam Retter <adam.retter@devon.gov.uk>

Constructor Summary
`XQResultSequence()`
`XQResultSequence(Sequence resultSequence)`

Method Summary
`boolean` `absolute(int itempos)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `clearWarnings()`
`void` `close()`
`int` `count()`
`boolean` `first()`
`java.lang.String` `getAtomicValue()`
`boolean` `getBoolean()`
`byte` `getByte()`
`javax.xml.xquery.XQConnection` `getConnection()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`javax.xml.xquery.XQItem` `getItem()`
`java.lang.String` `getItemAsString()`
`javax.xml.xquery.XQItemType` `getItemType()`
`long` `getLong()`
`org.w3c.dom.Node` `getNode()`
`java.net.URI` `getNodeUri()`
`java.lang.Object` `getObject()`
`java.lang.Object` `getObject(javax.xml.xquery.XQCommonHandler handler)`
`int` `getPosition()`
`java.lang.String` `getSequenceAsString(java.util.Properties props)`
`short` `getShort()`
`javax.xml.xquery.XQWarning` `getWarnings()`
`boolean` `instanceOf(javax.xml.xquery.XQItemType type)`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `isOnItem()`
`boolean` `isScrollable()`
`boolean` `last()`
`boolean` `next()`
`boolean` `previous()`
`boolean` `relative(int itempos)`
`void` `writeItem(java.io.OutputStream os, java.util.Properties props)`
`void` `writeItem(java.io.Writer ow, java.util.Properties props)`
`void` `writeItemToSAX(org.xml.sax.ContentHandler saxHandler)`
`void` `writeSequence(java.io.OutputStream os, java.util.Properties props)`
`void` `writeSequence(java.io.Writer ow, java.util.Properties props)`
`void` `writeSequenceToSAX(org.xml.sax.ContentHandler saxhdlr)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQResultSequence

    public XQResultSequence()

### XQResultSequence

    public XQResultSequence(Sequence resultSequence)

Method Detail

### clearWarnings

    public void clearWarnings()

  Specified by:
    `clearWarnings` in interface `javax.xml.xquery.XQResultSequence`

### getConnection

    public javax.xml.xquery.XQConnection getConnection()

  Specified by:
    `getConnection` in interface `javax.xml.xquery.XQResultSequence`

### getWarnings

    public javax.xml.xquery.XQWarning getWarnings()

  Specified by:
    `getWarnings` in interface `javax.xml.xquery.XQResultSequence`

### getAtomicValue

    public java.lang.String getAtomicValue()
                                    throws javax.xml.xquery.XQException

  Specified by:
    `getAtomicValue` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getBoolean

    public boolean getBoolean()
                       throws javax.xml.xquery.XQException

  Specified by:
    `getBoolean` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getByte

    public byte getByte()
                 throws javax.xml.xquery.XQException

  Specified by:
    `getByte` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getDouble

    public double getDouble()
                     throws javax.xml.xquery.XQException

  Specified by:
    `getDouble` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getFloat

    public float getFloat()
                   throws javax.xml.xquery.XQException

  Specified by:
    `getFloat` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getInt

    public int getInt()
               throws javax.xml.xquery.XQException

  Specified by:
    `getInt` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getItemAsString

    public java.lang.String getItemAsString()
                                     throws javax.xml.xquery.XQException

  Specified by:
    `getItemAsString` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getItemType

    public javax.xml.xquery.XQItemType getItemType()
                                            throws javax.xml.xquery.XQException

  Specified by:
    `getItemType` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getLong

    public long getLong()
                 throws javax.xml.xquery.XQException

  Specified by:
    `getLong` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getNode

    public org.w3c.dom.Node getNode()
                             throws javax.xml.xquery.XQException

  Specified by:
    `getNode` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getNodeUri

    public java.net.URI getNodeUri()
                            throws javax.xml.xquery.XQException

  Specified by:
    `getNodeUri` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getObject

    public java.lang.Object getObject()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getObject` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getObject

    public java.lang.Object getObject(javax.xml.xquery.XQCommonHandler handler)
                               throws javax.xml.xquery.XQException

  Specified by:
    `getObject` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getShort

    public short getShort()
                   throws javax.xml.xquery.XQException

  Specified by:
    `getShort` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### instanceOf

    public boolean instanceOf(javax.xml.xquery.XQItemType type)
                       throws javax.xml.xquery.XQException

  Specified by:
    `instanceOf` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### writeItem

    public void writeItem(java.io.OutputStream os,
                          java.util.Properties props)
                   throws javax.xml.xquery.XQException

  Specified by:
    `writeItem` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### writeItem

    public void writeItem(java.io.Writer ow,
                          java.util.Properties props)
                   throws javax.xml.xquery.XQException

  Specified by:
    `writeItem` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### writeItemToSAX

    public void writeItemToSAX(org.xml.sax.ContentHandler saxHandler)
                        throws javax.xml.xquery.XQException

  Specified by:
    `writeItemToSAX` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### absolute

    public boolean absolute(int itempos)
                     throws javax.xml.xquery.XQException

  Specified by:
    `absolute` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### afterLast

    public void afterLast()
                   throws javax.xml.xquery.XQException

  Specified by:
    `afterLast` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### beforeFirst

    public void beforeFirst()
                     throws javax.xml.xquery.XQException

  Specified by:
    `beforeFirst` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### close

    public void close()
               throws javax.xml.xquery.XQException

  Specified by:
    `close` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### count

    public int count()
              throws javax.xml.xquery.XQException

  Specified by:
    `count` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### first

    public boolean first()
                  throws javax.xml.xquery.XQException

  Specified by:
    `first` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### getItem

    public javax.xml.xquery.XQItem getItem()
                                    throws javax.xml.xquery.XQException

  Specified by:
    `getItem` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### getPosition

    public int getPosition()
                    throws javax.xml.xquery.XQException

  Specified by:
    `getPosition` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### getSequenceAsString

    public java.lang.String getSequenceAsString(java.util.Properties props)
                                         throws javax.xml.xquery.XQException

  Specified by:
    `getSequenceAsString` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### isAfterLast

    public boolean isAfterLast()
                        throws javax.xml.xquery.XQException

  Specified by:
    `isAfterLast` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws javax.xml.xquery.XQException

  Specified by:
    `isBeforeFirst` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `javax.xml.xquery.XQSequence`

### isFirst

    public boolean isFirst()
                    throws javax.xml.xquery.XQException

  Specified by:
    `isFirst` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### isLast

    public boolean isLast()
                   throws javax.xml.xquery.XQException

  Specified by:
    `isLast` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### isOnItem

    public boolean isOnItem()
                     throws javax.xml.xquery.XQException

  Specified by:
    `isOnItem` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### isScrollable

    public boolean isScrollable()
                         throws javax.xml.xquery.XQException

  Specified by:
    `isScrollable` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### last

    public boolean last()
                 throws javax.xml.xquery.XQException

  Specified by:
    `last` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### next

    public boolean next()
                 throws javax.xml.xquery.XQException

  Specified by:
    `next` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### previous

    public boolean previous()
                     throws javax.xml.xquery.XQException

  Specified by:
    `previous` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### relative

    public boolean relative(int itempos)
                     throws javax.xml.xquery.XQException

  Specified by:
    `relative` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### writeSequence

    public void writeSequence(java.io.OutputStream os,
                              java.util.Properties props)
                       throws javax.xml.xquery.XQException

  Specified by:
    `writeSequence` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### writeSequence

    public void writeSequence(java.io.Writer ow,
                              java.util.Properties props)
                       throws javax.xml.xquery.XQException

  Specified by:
    `writeSequence` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

### writeSequenceToSAX

    public void writeSequenceToSAX(org.xml.sax.ContentHandler saxhdlr)
                            throws javax.xml.xquery.XQException

  Specified by:
    `writeSequenceToSAX` in interface `javax.xml.xquery.XQSequence`
  Throws:
    `javax.xml.xquery.XQException`

Copyright (C) Wolfgang Meier. All rights reserved.